# ezQuake Manual: Commands

+, -, a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t, u, v, w

## +attack

When active the player will fire the weapon he is currently holding. This is the primary command used to make the player fire the gun. For as long as the key that is bound to this command is held down and this command is active the player will keep on firing the gun.

## +attack2

Secondary attack button.

Used in mods.

## +back

When active the player will move backwards.

## +forward

When active the player will move forward.

## +jump

When active the player will do a single jump. The next jump won't be performed until "-jump" has been issued.

## +klook

When active, "+forward" and "+back" become "+lookup" and "+lookdown" respectively. This command is useful if the player needs to look at objects which are above or below him.

## +left

When active the player will turn left.

## +lookdown

When active the player will look down.

## +lookup

When active the player will look up.

## +mlook

When active moving the mouse or joystick forwards and backwards performs "+lookup" and "+lookdown" respectively. This command is very useful if the player needs to look at objects which are above or below him. Most players execute this command and never remove it. This way they can use the keyboard to move the player forward and back and strafe left and right, while using the mouse to turn the player left and right and to make him look up and down. In order to have this command set permanently you will have to create a file called autoexec.cfg in the qw/ directory and put in the line "+mlook" into that file. By doing this the game will automatically execute the autoexec.cfg file and it will also active that command. Almost every player uses this command nowadays, because the combination of using mouse and keyboard is widely considered the best.

## +movedown

When active the player will swim down when in the water.

## +moveleft

When active the player will strafe left.

## +moveright

When active the player will strafe right.

## +moveup

When active the player will swim up when in the water.

## +right

When active the player will turn right.

## +showscores

Display scoreboard.

## +showteamscores

Display team scoreboard.

## +speed

When active the player will run.

## +strafe

When active, "+left" and "+right" function like "+moveleft" and "+moveright", strafing in that direction.

## +use

When used it will activate objects in the game that have been designed to react at "+use"

## -attack

When used the player will stop firing the gun if "+attack" is active.

## -attack2

Secondary attack button.

Used in mods.

## -back

When used the player will stop moving back if "+back" is active.

## -forward

When used the player will stop moving forward if "+forward" is active.

## -jump

When used the player will stop jumping if "+jump" is active.

## -klook

When used the forward and back keys will stop making the player look up and down if "+klook" is active.

## -left

When used the player will stop turning left if "+left" is active.

## -lookdown

When used the player will stop looking down if "+lookdown" is active.

## -lookup

When used the player will stop looking up if "+lookup" is active.

## -mlook

When used the mouse forward and back movement will stop making the player look up and down if "+mlook" is active.

## -movedown

When used the player will stop moving down if "+movedown" is active.

## -moveleft

When used the player will stop moving left if "+moveleft" is active.

## -moveright

When used the player will stop moving right if "+moveright" is active.

## -moveup

When used the player will stop moving up if "+moveup" is active.

## -right

When used the player will stop turning right if "+right" is active.

## -showscores

When used the score screen will disappear if +showscores is active.

## -showteamscores

When used the score screen will disappear if +showteamscores is active.

## -speed

When used the player will walk.

## -strafe

When used the turn left and turn right keys will once again perform their original functions.

## -use

When used it will stop activating objects in the game that have been designed to react at "+use".

## addip

Add a single IP or a domain of IPs to the IP list of the server. Very useful for banning people or for specifing which IPs only have access to the server. Examples: addip 123.123.123.123 addip 123.123.123

Syntax:
addip `(ip)`

## addloc

Adds a new loc with the specified name at current location.

Syntax:
addloc `addloc "locname"`

locname
  The name of the loc.

## addserver

Server Browser: This allows you to add a server to the UNBOUND source. This can be used to quickly bookmark servers.

## alias

Used to create a reference to a command or list of commands. When used without parameters, displays all current aliases. Note: Enclose multiple commands within quotes and seperate each command with a semi-colon.

## aliasedit

Allows you to edit your alias in console manually.

Syntax:
aliasedit `<alias>`

## aliaslist

Prints all aliases.

Syntax:
aliaslist `[regexp]`

[regexp]
  will print only [regexp] matching aliases

This command supports (perl) regexp matching.

## alias_in

Inserts contents of variable into alias.

Syntax:
alias_in `<alias> <variable> [<options>]`

options
  bitmask, 1 - (0 - insert from left, 1 - from right side) 2 - (check in advance whether a string being inserted already exists in alias) 4 - (print an error message if the inserted string is already present in the alias) 8 - (automatically create an alias if it doesn't exist yet)
alias
  alias to be changed
variable
  variable whose value is inserted into alias

## allskins

Downloads all skins that is currently in use. Useful for refreshing skins without exiting the level

## autotrack

Toggles auto-tracking. Auto-tracking switches views for you when you are a spectator or when you are watching a demo or a broadcasted QTV match. It chooses the best available autotrack - if you are spectator, looks for server-side command autotrack, if you are watching a demo or QTV stream, turns on both demo_autotrack and mvd_autotrack, mvd_autotrack will get turned off as soon as demo_autotrack data are found. As a last resort if all previous autotrack are not available, cl_hightrack will be used.

## bf

This command shows a background screen flash that is the same one that is produced when the player picked up an item in the game. This command basically serves no useful function except when people want to use it in scripts to give the user some visual feedback when an aliases is used for example.

## bind

This command binds one or several commands to a key. To bind multiple commands to a key, enclose the commands in double-quotes (") and separate them with semicolons (;).

## bindlist

Prints all binds.

## calendar

Same as "date" but also shows a small calendar of the month. Nice :)

## cam_angles

Set new angles

Syntax:
cam_angles `cam_angles pitch yaw or cam_angles "pitch yaw"`

pitch
yaw

## cam_pos

Set new position

Syntax:
cam_pos `cam_pos x y z or cam_pos "x y z`

x
  X-coord.
y
  Y-coord.
z
  Z-coord.

## cd

cd play 5 plays cd track #5 Note: You need -cdaudio to use this command.

## centerview

Centers the player's view ahead after +lookup or +lookdown.

## cfg_load

This will do a cfg_reset and then execute filename.cfg (ezquake/configs).

Syntax:
cfg_load `(filename)`

## cfg_reset

This command will unbind all keys, delete all aliases, msg_triggers, reset all plus commands, teamplay settings and reset all variables. User made variables (created with set/seta) are deleted. After resetting all the above, it executes default.cfg and then autoexec.cfg.

## cfg_save

This command will dump all aliases, bindings, plus commands, msg_triggers, teamplay settings and variables to filename.cfg . User made variables (created with set/seta) are saved as well. Note: configs saved with cfg_save are saved in quake/ezquake/configs/*.cfg

Syntax:
cfg_save `(filename)`

## clear

This command clears the console screen of any text.

## clearlocs

Clear all currently loaded locs.

## cl_messages

Prints amount and size of messages sent from server to ezQuake client.

## cmd

Sends a command directly to the server.

## cmdlist

Prints a list of all available commands into the console.

## cmdlist_re

This command same as cmdlist, but supports (perl) regexp matching.

Ex: cmdlist_re ^cl_.*$

## color

This command sets the color for the player's shirt and pants. Note: If only the shirt color is given, the pant color will match.

## connect

Connects your client to a QuakeWorld server.

Syntax:
connect `<address>`

address
  IP address of a QuakeWorld server.

Example: 'connect 62.26.123.23:27101'

## cvarlist

Print cvars

This command supports wildcards. Ex: cvarlist *gl*

## cvarlist_re

This command same as cvarlist, but supports (perl) regexp matching.

Ex: cvarlist_re ^cl_.*$

## cvar_reset

This will reset cvar to default. Example: cvar_reset topcolor will set topcolor to default.

Syntax:
cvar_reset `<cvar>`

## cvar_reset_re

This will reset cvar to default. Example: cvar_reset ^gl_.* - resets all OpenGL settings to default values.

Syntax:
cvar_reset_re `<cvar>`

This command supports (perl) regexp matching.

## date

Shows current time, date, month and year.

## demo_capture

Captures series of screenshot or avi file. See below.

Syntax:
demo_capture `<start time [avifile] | stop>`

start
  Directive that tells the client to start capturing.
time
  Number of seconds the capturing should take. Can be float value. Must be positive. Required argument.
avifile
  When third argument is present instead of singlescreenshot avifile will be saved. See demo_capture_codec.
stop
  You can force the client to stop capturing before the time given by <time> argument passes.

See demo_capture_fps, demo_capture_codec, demo_capture_dir, demo_capture_mp3 etc.

## demo_jump

This jumps playback to a point in time you specify. Examples: demo_jump 120 will make playback jump to 120 seconds from the start of the demo. demo_jump 4:30 will make playback jump to 4 minutes and 30 seconds from the start of the demo.

## demo_playlist_clear

clears the demo playlist

## demo_playlist_next

will go to the next demo in the playlist

## demo_playlist_prev

will go to the previous demo in the playlist

## demo_playlist_stop

will stop the demo playlist playback

## demo_setspeed

You can vary the speed of demo playback with the 'demo_setspeed' command. 'demo_setspeed x' sets the playback speed to x% of normal speed so that 'demo_setspeed 50' is half speed and 'demo_setspeed 300' gives you triple speed.

Syntax:
demo_setspeed `[default: 100]`

## describe

Prints manual info about given variable or command into the console.

Syntax:
describe `(variable or command name)`

## devmap

Try it in cheats mode, start a map (devmap dm6) and type fly.

bind space +up

## disconnect

This command will disconnect you from the server/demo/proxy you are currently connected to.

## dns

Performs dns lookups and reverse lookups.

Syntax:
dns `(address)`

## download

Manually download a quake file from the server. Example: download skins/foo.pcx

## easyrecord

This start recording demo and rename it like you have put with match_* settings.

## echo

This command will print text to your local console.

Syntax:
echo `(text)`

## edict

Reports information on a given edict in the game.

## edictcount

Displays summary information on the edicts in the game.

## edicts

Displays information on all edicts in the game.

## enemycolor

This will overwride enemy color. Example: enemycolor 12 13 Note: If only the shirt color is given, the pant color will match.

## eval

Evaluates given expression and prints the result into the console

Syntax:
eval `<expression>`

expression
  Arithmetic expression, can also contain strings

## exec

Executes a config file from \qw, \id1 or \ezquake.

## filter

Message filtering system. Only team messages are filtered. Use filter with no parameters to list current filters and filter clear to remove all filters. Example: filter #a say_team i can see this message #a. say_team i can't see this message #d.

## floodprot

Sets flood protection parameters.

Syntax:
floodprot `<messages> <seconds> <silence>`

messages
  Number of allowed messages per given time period.
seconds
  Time period in which more than <messages> cannot be send.
silence
  For how long mute flooding player.

These settings are not saved into your config.

## flush

This command will clear the current game cache. It is usually used by developers to flush the memory of all game information and objects to test if the mechanism which handles the loading of the necessary files into memory works properly. Sometimes the game cache can become filled with unnecessary information and may need to be flushed manually. This is usually not necessary since the game automatically flushes all the data between every map.

## fly

You can fly around the map with flymode on. Note: Needs cheat support by server.

## fog

Changes color of fog.

Syntax:
fog `R G B`

Type RGB value (the range is 0-1) e.g. "0.5 0.5 0.5" goes for gray, "0.8 0.2 0.2" for red-like.

## force_centerview

This command centers the player's screen. It was created because the original "centerview" command did not work when "+mlook" was enabled. This command will center the screen in any mode no matter commands are active.

## fraglogfile

Enables logging of kills to a file. Useful for external frag polling programs. The file name is frag_##.log

## fullinfo

Used by QuakeSpy and Qlist to set setinfo variables. Note: Use the setinfo command to see the output. Example: fullinfo "\quote\I am the only Lamer!\"

## f_modified

All the usual dm models, sounds, palettes etc are included in the check. In teamfortress the teamfortress flag, dispensers and sentry guns are also checked. There is also an f_modified command which will print your f_modified response. Note: You need to install security files.

## f_server

Prints proxies you are using.

## gamedir

Specifies the directory where the QWPROGS.DAT file is found and other additional files such as maps, models, sound, and skins for Quake modifications. Note: This command can be specified while a game is in progress, after the current map ends this command will take effect.

## gamma

You can edit brightness. Note: This is shortcut for sw_gamma in vga and gl_gamma in gl.

## give

Give user a certain amount of an item. Items: 1 - Axe 2 - Shotgun 3 - Double-Barrelled Shotgun 4 - Nailgun 5 - Super Nailgun 6 - Grenade Launcher 7 - Rocket Launcher 8 - ThunderBolt C - Cells H - Health N - Nails R - Rockets S - Shells Note: The -cheats parameter must be used to launch the server to use the give command. Also the key and value *cheats ON will be displayed in the serverinfo information. Examples: give 1234 R 99 will give for user 1234 99 rockets. give 1234 7 will give for user 1234 rocket launcher.

## gl_checkmodels

Not well implemented yet. Quickly looks at the pmodel and emodel listed in every player's infokey and reports anything unusual it finds. Basically it saves you having to type "users. user x" and then comparing the models for everyone.

## gl_inferno

Clientside (noone else can see it) hard-striking rocket, serves well for your entertainment.

## gl_setmode

Quickly sets many variables to fit pre-defined scheme. Try using "newtrails" or "vultwah".

Syntax:
gl_setmode `(modename)`

## god

You are immortal with god mode on. Note: Needs cheats support by server.

## heartbeat

Forces a heartbeat to be sent to the master server. A heartbeat informs the master server of the server's IP address thus making sure that the master server knows that the server is still alive.

## help

Enters manual pages. Use arrows, [Page Down], [Page Up], [Tab] and [Enter] for navigation.

## hud262_add

creates or changes a hud element with hud_name; the following types of hud elements are avaliable: cvar a value of a variable is displayed; in this case param must be a name of this variable. str a string defined by param is displayed; Cvar and %macros expansion is performed every time element is shown

Syntax:
hud262_add `<hud_name> <type> <param>`

type
  can be cvar or str
param
  string or cvarname

hud262_add with a a name of already existing element does not make it visible if it was disabled before with a command hud262_disable.

## hud262_alpha

Sets a transparency for strings-hud element

Syntax:
hud262_alpha `<name> <value>`

name
  hud element's name
value
  from 0 up to 1 (0 - invisible, 1 - opaque

Works only in the GL-version.

## hud262_bg

defines a color of the hud element backgdround; 0 - transparent (default).

Syntax:
hud262_bg `<hud_name> <bg_color>`

bg_color
  color 111 - yellow, 79 - red, etc
hud_name
  Hud element's name

## hud262_blink

Allows to make blinking strings-hud elements.

Syntax:
hud262_blink `<name> <period> <mask>`

name
  hud element's name
period
  blinking perion in milliseconds
mask
  defines what exactly should blink: 0 - nothing 1 - text only 2 - background only 3 - text and background

This command supports (perl) regexp matching for hud element's name.

## hud262_bringtofront

Transfers all hud elements created after hud_name element (including) to the end of drawing list, that in short means that they will be displayed above all other elements which could be present on that place already.

Syntax:
hud262_bringtofront `<name>`

name
  hud element's name

## hud262_disable

prohibits to display one or more hud elements.

Syntax:
hud262_disable `<hud_name> [hud_name2...]`

hud_name
  Hud element's name

## hud262_enable

allows to display one or more hud elements.

Syntax:
hud262_enable `<hud_name> [hud_name2...]`

hud_name
  Hud element's name

## hud262_list

prints a list of strings-hud elements.

Syntax:
hud262_list `[regexp]`

regexp
  print only [regexp] matching huds

## hud262_move

moves a hud element; dx and dy deviations are measured in symbols.

Syntax:
hud262_move `<hud_name> <dx> <dy>`

dx
  horisontal shift
hud_name
  Hud element's name
dy
  vertical shift

## hud262_position

indicates position of a hud element on the screen;

Syntax:
hud262_position `<hud_name> <pos> <x> <y>`

pos
  Posotion: 1 upper left corner 2 upper rightcorner 3 lower right corner 4 lower left corner 5 upper central position 6 lower central position.
hud_name
  name of your hud element
x
  horisontal offset
y
  vertical offset

## hud262_remove

kills a hud element.

Syntax:
hud262_remove `<hud_name>`

hud_name
  Hud element's name

## hud262_width

forces a hud element width and cuts undesired space or adds it when needed.

Syntax:
hud262_width `<hud_name> <width>`

hud_name
  Hud element's name
width
  The range of width is 0-128, the value 0 (default) cancels the width forcing.

## hud_editor

Toggles the HUD editor on or off.

## hud_export

Saves setup of your HUD (scr_newhud 1) into separate .cfg file.

Syntax:
hud_export `<filename>`

filename
  Name (with optional path) of saved file. If .cfg extension is not present it will be automatically added.

File will be saved in <basedir>/ezquake/configs if no path is specified in <filename> parameter.

## hud_recalculate

Refresh positions of your HUD elements

Applies to scr_newhud 1.

## if

Condition clause.

Syntax:
if `<expr1> <operator> <expr2> <cmd1> [else <cmd1>]`

expr1
  A string where you usually use your own text, macros, and values of variables (like $volume).
operator
  ==, =, !=, <>, >, <, >=, <=, isin, !isin. Where 'isin' means "expr1 is a substring of expr2" and '!isin' is a negation of this. The others are standard mathematical comparison.
expr2
  See expr1
cmd1
  Will get executed if the binary operation succeeds.
cmd2
  Will get executed if the binary operation fails.

See 'Scripting' manual page for more help.

## if_exists

if an object <name> of a type <type> exists, a command <cmd1> will be issued, or a command <cmd2> if such object could not be found. The type of the object can be either cvar, alias, trigger or hud.

Syntax:
if_exists `<type> <name> <cmd1> [<cmd2>]`

if_exists alias f_death "echo alias f_death exists!" "echo there are no f_death alias"

## ignore

You can give ignore either a player's name (name completion is useful for this) or a userid (ignore <name|userid>). ignore without any command line parameters displays your ignore list.

Syntax:
ignore `<name|userid>`

## ignorelist

Prints ignorelist

## ignore_id

ignore_id is identical except it only accepts user id's (only useful if there is a player whose name is the userid of someone you want to ignore).

Syntax:
ignore_id `(userid)`

## ignore_team

You can ignore teams instead of players. Example: ignoreteam nine will ignore whole clan nine.

## impulse

This command calls a game function or QuakeC function. Often impulses are used by the mod by defining aliases for game functions like "ready" and "break" that call certain impulses.

## inc

Increments a variable by one or adds to it the optional second argument. There are no 'add' or 'dec' commands because 'inc' can handle both addition and subtraction. Example: inc sensitivity -2 would subtract 2 from sensitivity.

## in_evdevlist

print list of evdev devices if you got empty list, probably you dont have access rights to /dev/input/eventX sudo chmod 644 /dev/input/event* should help you

## join

joins a specified server as player. If no address is specified, join will reconnect to the last visited server as a player. Example: join 123.124.125.126

Syntax:
join `(address)`

## joyadvancedupdate

This command initializes the joystick's advanced features. It is necessary to issue this command after making any changes to the other joystick commands. This command will initialize all of the settings.

## keycode

This command enables the setting of a new keymapping.

Syntax:
keycode `keycode [ext] <scancode> <key> [<shiftmap>] [<altgrmap>]`

If no key is given, the current mapping of the scancode will be printed. The first call to that command (when no keymapping is active) copies the internal used default for an US keyboard to the keymapping tables.

## keymaplist

This command prints all the current keymappings to the quake console.

## keymap_init

This resets the current keymapping and then generates a copy of the internal defaults (US keyboard) to be the new keymappings. This can be used as a base to generate a new keymapping file. It has the same (unchangeable) mapping as the example keymap-file "default.kmap"

## keymap_list

This command prints all the current keymappings to the quake console.

## keymap_load

This command first resets the current keymappings and then loads a new mapping from the given file.

Syntax:
keymap_load `keymap_load [layoutname] <filename>`

For more info see Keymap support manual section.

## keymap_reset

This command switches off the current keymappings and sets it back to the internal defaults; it also restores "keymap_name" to its default name "Default". The defaults are an internally defined (and not changeable) keymapping for US keyboards.

## keymap_save

With this command the active keymappings will be written to a kmap-file (including a descriptive header which explains the usage).

Syntax:
keymap_save `[layoutname] <filename>`

If the layoutname is given, "keymap_name" will be set before saving. If the filename contains no directory, it writes itself to the "qw"-directory.

## kick

Removes a user from the server. Use the status command to receive the user's id. Example: kick 1234

Syntax:
kick `(userid)`

## kill

Suicide. (-2 frags on ktpro/kteam servers)

## legacyquake

Command that turns off new features added to the client that may confuse experienced users who don't like new features :-)

Syntax:
legacyquake `[ver]`

ver
  Optional argument, when specified, will disable only new features from specified client version

When the optional argument is specified, legacyquake will disable new features from specified version - e.g. /legacyquake 1.9 will disable some new features from 1.9 version.

## listip

Prints out the current list of IPs on the server list. Not to be confused with the status command which prints out the list of the IPs of the connected players.

## load

Load 123 loads saved game 123.

Syntax:
load `(filename)`

## loadcharset

You can change your console font from within ezQuake. Put all your charset images in qw/textures/charsets/*.png (and *.tga) and use /loadcharset XXX to load XXX.png (or tga). "/loadcharset original" will restore the 8bit font in your gfx.wad (this is default). Note that the /loadcharset command is just a 'shortcut' for the new gl_consolefont variable.

## loadfragfile

loadfragfile 123 loads fragfile 123

Syntax:
loadfragfile `(filename)`

## loadloc

Loads a loc file (must be located in id1/locs, qw/locs, or ezquake/locs. The ".loc" extention is optional, for example, "loadloc dm6"; if the file name has no extension, use its explicit name ("loadloc dm6.").

Syntax:
loadloc `(filename)`

## loadsky

Loads your skybox (qw\env). Example: loadsky snow

Syntax:
loadsky `(filename)`

## localinfo

Shows or sets localinfo variables. Useful for mod programmers who need to allow the admin to change settings. This is an alternative storage space to the serverinfo space for mod variables. The variables stored in this space are not broadcast on the network. This space also has a 32-kilobyte limit which is much greater then the 512-byte limit on the serverinfo space. Special Keys: (current map) (next map) - Using this combination will allow the creation of a custom map cycle without editing code. Examples: localinfo dm2 dm4 localinfo dm4 dm6 localinfo dm6 dm2

## locname

Create a new location in the current spot.

## log

If you type "log filename" it will log console to filename.log in your gamedir. It overwrites logs without asking.

Syntax:
log `(filename)`

## macrolist

Prints a list of all available macros.

Macro is a special type of string that is replaced in your custom command with value given by state of the client or the game.

## map

loads a map and start a game. Example: map e1m1

## mapgroup

mapgroup 2fort5r 2fort5: will make 2fort5r and 2fort5 use the 2fort5r textures, locs and etc...

Syntax:
mapgroup `mapgroup [map1] [map2] ...`

Common mapgroups for TeamFortress: mapgroup 1on1fortr 1on1forts 1on1fort kjforts mapgroup 2fort5r 2fort5 2fort4 2fort4r 2fort5sta mapgroup 2mfield3 2mfield3sta mapgroup 2night2 2night2sta mapgroup 32smooth 32seq 32smoothsta mini32s mini32sr 32smothl mapgroup aztec1 aztec1sta mapgroup bam4 bam4sta mapgroup ewg3 ewg3sta mapgroup excel excelsta mapgroup h4rdcore h4rdcoresta mapgroup homebase2 homebase2sta mapgroup iceland3 iceland3sta mapgroup impact1 impact1sta mapgroup mbasesr mbases mapgroup sewer1 sewer1sta mapgroup svalley4 svalley4sta mapgroup tf2k tf2ksta mapgroup well6 well6sta well6l wellgl1 mapgroup xpress xpress2 xpress3 xpress4

## match_forcestart

Simulates the start of a match (so that auto recording etc is triggered). Useful if you join a ktpro server after countdown has started, or you are playing a mode that doesn't have a proper countdown (eg race mode). Most importantly this is useful for tf servers, since you can use a msg_trigger to execute match_forcestart on "MATCH BEGINS NOW".

## match_format_macrolist

Prints a list of the macros and their meaning for autorecording and autoscreenshots.

## match_save

If you are using 'match_auto_record 1' then a temp demo will be recorded to c:\quake\ezquake\temp\_!_temp_!_.qwd each time a map starts. This temp demo will be overwritten when the next match starts. If you want to keep the temp demo, use the "match_save" command. This will move the demo to the same folder and filename that easyrecord would have used.

## messagemode

Prompts for string to broadcast to all other players.

## messagemode2

Prompts for string to broadcast to team members.

## mp3_fadeout

Like stop but fades out.

## mp3_fforward

Fast forward 5seconds.

## mp3_loadplaylist

Loads the playlist filename.m3u Example: mp3_loadplaylist top10 will load top10.m3u

Syntax:
mp3_loadplaylist `(filename)`

## mp3_next

Next song.

## mp3_pause

Pause mp3.

## mp3_play

Play mp3.

## mp3_playlist

Displays playlist. Currently playign track is highlighted.

## mp3_playtrack

Play track number #num from playlist. Example: mp3_playtrack 5 will play track 5 from playlist.

Syntax:
mp3_playtrack `(track)`

## mp3_prev

Previous song.

## mp3_repeat

Repeat playlist.

Syntax:
mp3_repeat `(off/on)`

## mp3_rewind

Rewind 5seconds.

## mp3_shuffle

Shuffle mp3s.

Syntax:
mp3_shuffle `(off/on)`

## mp3_songinfo

displays song title and other info like time elapsed, total time, and whether paused, stopped or playing.

## mp3_startwinamp

Starts winamp if winamp is not running.

## mp3_stop

Stop mp3.

## msg_trigger

Allows you to set rules that will automatically execute actions when a certain message is sent from a server. This is very usefull in Team Fortress, in deathmatch it can be used for example for auto-reporting "quad in 30" when you receive "Quad Damage is wearing out" message. Note that only some server messages can be triggered. Usually no pickup messages nor your teammates text is triggered.

Syntax:
msg_trigger `<alias> <string>`

alias
  The name of the alias you want to be executed when trigger matches the string.
string
  Case-sensitive substring of the message you want to catch in this trigger.

You can use nested aliases like this: "alias d c; alias c b; alias b a; alias a say hello" and then msg_trigger d "hi" will say 'hello' whenever someone says 'hi'. Of course there's much more useful examples of nested aliases. Also there is no way of executing forbidden msg_trigger commands in ezQuake.

## mvd_dumpstats

Will dump statistics gathered from a MVD demo into a "stats.xml" file in the current working directory

## noclip

You can fly and go thru objects (free mode as spectator) Note: Needs cheats support by server.

## observe

observe connects you to a server as a spectator. If no address is specified, observe will reconnect to the last visited server as a spectator. Example: observe 123.124.125.126

Syntax:
observe `(address)`

## packet

Sends a packet with specified contents to the destination. Example: packet 123.123.123.123:27500 "status"

Syntax:
packet `(address)`

## password

Set the password to enter a password protected server.

## path

Shows what paths ezQuake is using.

## pause

Pauses a game. Note: Servers must support pausing.

## play

Plays a sound effect. Example: play misc/runekey.wav

Syntax:
play `(filename)`

## playdemo

Plays a recorded demo. Example: playdemo thresh.qwd

Syntax:
playdemo `<filename>`

## playvol

Plays a sound at a given volume. Examples: playvol items/protect.wav .5 playvol items/protect.wav 2

Syntax:
playvol `(filename)`

## pointfile

If qbsp generates a non-zero .pts file a leak exists in the level. This file is created in the maps directory. By using the pointfile command, it will load the .pts file and give a dotted line indicating where the leak(s) are on the level.

Syntax:
pointfile `(filename)`

## profile

Reports information about QuakeC stuff.

## qtv

Connects you to internet QuakeTV broadcasting some action, using your local proxy. Starts local QuakeTV proxy, tells it what broadcasting proxy it should connect to and by connecting to it you'll see the action broadcasted on the IP you've specified.

Syntax:
qtv `<address>`

address
  IP address of the internet QuakeTV broadcasting some QW action

You need qtvproxy executable in your Quake directory.

## quit

Exit - disconnects from the server and closes the client.

See cl_confirmquit.

## radar

HUD element showing a map overview.

Syntax:
radar `<property> <value>`

Manipulate with it as with every other HUD element: scr_newhud 1; show radar; ... Works while watching MultiView Demos. Limited usage while being a spectator.

## rcon

Issue the set of commands to the server you are currently connected to or have set in rcon_address. You must know the rcon password for that specific server.

## reconnect

Reconnects to the last server/proxy.

## record

Records a demo. Example: record test records test.qwd to qw folder

Syntax:
record `(filename)`

## removeip

Removes an IP address from the server IP list. Examples: removeip 123.123.123.123 removeip 123.123.123

Syntax:
removeip `(ip)`

## removeloc

Remove the closest location (use teamsay to see which)

## re_trigger

when used w/o parameter, prints a list of all triggers; when regexp is not defined prints options set for rt_name trigger; otherwise creates or changes rt_name trigger.

Syntax:
re_trigger `re_trigger [rt_name [regexp]]`

rt_name
  re_trigger name
regexp
  regexp defines which messages (or whatever) will activate a trigger. The client uses the PCRE library (Perl-compatible regular expression library). You can find information how to write regexps in the PCRE's documentation.

A trigger is activated as soon as a string defined in this regexp is detected. At the same time a part of this string (which caused activation of a trigger) is put into a $0 variable. Variable parts of regexp are put into re_trigger_match_1,2 ... 9 variables. After that an alias (which name coinsides with the a name of the trigger) is executed. Tricky, huh? ;)

## re_trigger_delete

deletes the corresponding trigger.

Syntax:
re_trigger_delete `re_trigger_delete rt_name`

rt_name
  re_trigger name

## re_trigger_disable

disables activation of one or more triggers.

Syntax:
re_trigger_disable `re_trigger_disable rt_name1 [rt_name2...]`

rt_name
  Re_trigger name. Can be REGEXP.

## re_trigger_enable

enables activation of one or more triggers.

Syntax:
re_trigger_enable `re_trigger_enable rt_name1 [rt_name2...]`

rt_name
  Re_trigger name. Can be REGEXP.

## re_trigger_match

allows to direct a <string> to a trigger <trigger_name>. If this string match regexp, then a corresponding alias is activated.

Syntax:
re_trigger_match `re_trigger_match <trigger_name> <string>`

trigger_name
  Re_trigger name
string
  your string

## re_trigger_options

changes options for a corresponding trigger

Syntax:
re_trigger_options `re_trigger_options rt_name option_list`

mask
  value represents a bit mask which determines which types of messages can cause activation of a trigger: 1 - pickup messages 2 - death messages 4 - critical messages (most of TeamFortress messages) 8 - chat 16 - centerprint 32 - echo command output 64 - other strings printed in the console The default mask for any trigger equals 31.
interval
  sets a minimal interval of trigger activation (in seconds). If a second activation happened earlier than the value time - it is ignored. Default is 0.
final
  if activation of this trigger happened, the remaining (in the list of triggers) triggers are not checked. Triggers are checked in a reversed order of their definition.
notfinal
  activation of such trigger doesn't stop the checking of other triggers (default).
remove
  a string which caused activation of a trigger is not printed on the screen.
noremove
  a string which caused activation of a trigger is printed on the screen (default).
log
  a string which caused activation of a trigger is not added to a log-file.
nolog
  a string which caused activation of a trigger is added to a log-file (default).
noaction
  a corresponding alias is not executed upon a trigger activation. There is no need to exec alias if all you need is to use remove option :)
action
  a corresponding alias is executed upon a trigger activation (default).

enable allows activation of a trigger (default). disable prohibits activation of a trigger. Triggers would not work for debugging messages like snd_show 1. In Team Fortress triggers would not work for commands showloc and id (of enemy), and for message of your dispencer being used by enemies.

## rotate

rotates the player by x degrees. Note: Negative values can also be used for the desired angle. Example: "rotate 180" will rotate your pov by 180 degrees.

## save

To save games in singleplaying. Example: save 123

## saveloc

Saves the current locs in memory to the specified file.

Syntax:
saveloc `(filename)`

filename
  The .loc file the locs should be saved in.

## say

Broadcasts a string to all other players. Example: say ezQuake rules!

## say_team

Broadcasts a string to teammates. Example: say_team stop boring!

## sb_sourcemark

Marks "source-name" as selected server source list.

Syntax:
sb_sourcemark `<source-name>`

## sb_sourceunmarkall

Unmarks all servers sources.

## screenshot

Saves a still picture of current screen to your harddrive.

Syntax:
screenshot `[name]`

name
  Optional. When used tells the destination filename. If extension is not preset it will be added automatically according to sshot_format setting.

See sshot_format and sshot_dir.

## serverinfo

Reports the current server info.

Deathmatch, timelimit, fraglimit, maxspectators and other information are stored in here.

## serverstatus

Prints the status of the ezQuake server.

Applies to the ezQuake server you are running, not the server you are connected to.

## set

Sets a variable to a given value.

Syntax:
set `<varname> <value>`

varname
  Name of variable or custom variable.
value
  Value you want to store in the variable.

See cvar_reset, set_re.

## setinfo

Sets information about your FuhWorld user. Used without a key it will list all of your current settings. Specifying a non-existent key and a value will create the new key.

## setmaster

Lists the server with up to eight masters. When a server is listed with a master, the master is aware of the server's IP address and port and it is added to the list of current server connected to a master. A heartbeat is sent to the master from the server to indicated that the server is still running and alive. Examples: setmaster 192.246.40.12:27002 setmaster 192.246.40.12:27002 192.246.40.12:27004

## set_alias_str

assigns variable a value which contains an indicated alias.

Syntax:
set_alias_str `<cvar> <alias>`

alias test "say_team foo bar" set_alias_str test_var test echo $test_var --> say_team foo bar

## set_bind_str

assigns variable a value which contains anything bound to an indicated key.

Syntax:
set_bind_str `<cvar> <key>`

bind mouse1 +rl set_bind_str old_bind_m1 mouse1 echo $old_bind_m1 --> +rl

## set_calc

Advanced variables customization.

Syntax:
set_calc `<cvar command cmdargs> | <cvar arg1 oper arg2>`

cvar
  Name of variable you want to save the result in.
command
  Possible commands: strlen - gets length of given string, int - converts given float value to integer, substr - return substring of given string, set_substr - replaces given position in string with another string, pos - gets position of substring in given string.
cmdargs
  Arguments of commands: strlen <string>; int <float>; substr <sourcestr> <position> [<length>]; set_substr - <replacestr> <position>; pos <haystack> <needle>;
arg1
  First argument
oper
  Possible operators: +, -, *, /, div, %%, and, or, xor.
arg2
  Second argument.

Examples: set_calc a strlen "cool string" --> a=11 You can use names of cvars instead of strings of course. That's the power of this scripting possibilities. set b "cool text" set_calc a pos b ext --> a=6

## set_ex

assigns a new value to a variable, expansion of %macros and variables is performed even in case if a parameter is inside the dual quotation marks.

Syntax:
set_ex `<cvar> <value>`

set test "$qt$R$qt" set_ex test_ex "$qt$R$qt" say $test --> $qt@$qt, where @ is red led say $test_ex --> @

## sizedown

Reduces the screen size.

## sizeup

Increases the screen size.

## skins

Refreshes skin settings. Note: If you have set noskins to 0 and do this it will download all skins that players are using on server.

## skygroup

In basics works same as mapgroup.

Syntax:
skygroup `skyboxname map1 [map2] ...`

You assing one skybox texture to group of maps.

## snap

Remote screenshot from a player. Example: snap 1234 (server request remote screenshot from user 1234)

Syntax:
snap `(userid)`

## snapall

Remote screenshots from all players.

## soundinfo

Reports information on the sound system.

## soundlist

Reports a list of sounds in the cache.

## spectator_password

Sets spectator password to ezQuake local server. Note: spectator (password) to connect server that got spectator password.

## speed

Shows your current movement speed.

## speed2

An alternative speed-o-meter that is drawn as a half-circle.

This is an HUD element.

## status

Reports information on the current connected clients and the server.

## stop

Stops demo recording.

See record command.

## stopsound

Stops all sounds currently being played.

## sv_gamedir

Displays or determines the value of the serverinfo *gamedir variable. This is the directory clients will use. Note: Useful when the physical gamedir directory has a different name than the widely accepted gamedir directory. Examples: gamedir tf2_5; sv_gamedir fortress gamedir ctf4_2; sv_gamedir ctf gamedir ktffa; sv_gamedir qw // FFA servers should use default *gamedir

## tcl_eval

execute <string> as tcl code

Syntax:
tcl_eval `<string>`

## tcl_exec

execute a config as tcl script

Syntax:
tcl_exec `<filename>`

## tcl_proc

execute a Tcl-procedure <name> with parameters <parameters>. Procedure must be difened before thru tcl_eval or tcl_exec commands.

Syntax:
tcl_proc `<name> [parameters]`

## tcpconnect

Connects your client to a QuakeWorld server via TCP.

Syntax:
tcpconnect `<address>:<port>`

address
  IP address of a QuakeWorld server.
port
  TCP port of a QuakeWorld server.

## teamcolor

This will overwride team color. Example: teamcolor 12 13 Note: If only the shirt color is given, the pant color will match.

## teamholdbar

Displays overall map control per team when watching multiview demo.

## teamholdinfo

Displays items possession stats per team when watching multiview demo.

## tempalias

cfg_save won't save to tempaliases to config.

## timedemo

This command can be used to test how fast your computer is by looking at the frames-per-second rate achieved by playing back a demod at top speed. This command will play back all of the frames for a given demo as fast as possible and then record the amount of time that it took to play back all of the frames from that demo. Then this command will take the total number of frames in a demo, divide that number by the amount of time that it took to play back those demos, and calculate the average frames-per-second rate. Example: timedemo 123.qwd timedemo 123.mvd

Syntax:
timedemo `(filename)`

## timerefresh

This command will perform a 360 degree turn and calculate the frames-per-second rate.

## toggle

You can turn off/on cvars. Example: toggle sensitivity turns off sensitivity and toggle sensitivity again turns on.

## toggleconsole

Brings the console up and down.

See scr_conspeed, scr_conalpha, scr_consize.

## togglemenu

Displays the menu screens.

This command is usually bound to the [Esc] key.

## toggle_re

You can turn variable values ON and OFF. Example: toggle ^gl_part.* - turns all particle effects on/off.

Syntax:
toggle_re `[cvar_regexp1] [cvar_regexp2] ... [cvar_regexpN]`

This command supports (perl) regexp matching.

## tp_msgcoming

Will send a message to your teammates telling them where you are coming from, and what your status is. Doubles as tp_lost when you are dead (because you can't be coming from somewhere if you're dead).

style: coming location health/armor powerup weapon

## tp_msgenemypwr

This command could be used for all cases involving players with powerup. If you, a teammate, or enemy has powerup, this bind will report it. If eyes is in your point, we assume enemy only because this is tp_ENEMYpwr, otherwise there is no way to tell if a player with ring is enemy or teammate.

style: enemy/team powerup at location

## tp_msggetpent

Informs your teammates to get the pent. Will print enemy/team pent if you, teammate, or enemy has pent and they're in your point. Will print nothing if eyes is in point.

style: get pent

## tp_msggetquad

Informs your teammates to get the quad. Reports team/enemy quad if you, a teammate, or an enemy has quad and they are in your point. Reports nothing if eyes is in your point.

style: get quad

## tp_msghelp

Requests help at a location. Also gives your status.

style: help location powerup weapon

## tp_msglost

Will send a message to your teammates telling them you died at a location. Also tells them how many enemies are there, and what weapon (if any) you dropped.

style: quad over lost weapon location enemies

## tp_msgneed

Equivalent of %u (need macro). Will display what you need (health/armor/ammo).

style: need items

## tp_msgpoint

Will report to your team item you see in your point at its location. Will report team/enemy powerup if you, a teammte, or an enemy has a powerup and are in your point. Note that tp_pointpriorities is default to 1 and it is strongly suggested to keep this value. You can alter the priorities of this bind by altering tp_point.

style: item at location

## tp_msgquaddead

Reports quad is dead. Will print enemy/team powerup if you, a teammate, or an enemy have quad and are in your point.

style: quad dead

## tp_msgreplace

Requests a teammate to replace you at your location.

style: replace location

## tp_msgreport

Will send a message to your teammates about your current status - health, armor, location, powerups, weapon. Doubles as tp_lost when you are dead.

style: health/armor location powerup weapon

## tp_msgsafe

Will send a message to your teammates informing them your current location is safe. Will print nothing if there is enemy in your point. Also reports your status.

style: safe location powerup weapon

## tp_msgtook

Informs your team of the last item you took. Saves each item in memory for 15 seconds.

took item at location

## tp_msgtrick

Requests a trick at a location. Best for cases like dm2 when you need a teammate to help you get quad from stairs.

style: trick location

## tp_pickup

Item can be: quad, pent, ring, suit, ra, ya, ga, mh, health, lg, rl, gl, sng, ng, ssg, pack, cells, rockets, nails, shells, flag, armor, weapons, powerups, ammo, all, default, none

## tp_point

Specifies which items will be used in point (%x or $point) macro. If you point at an item and such item is not listed here, your message will be tp_name_nothing (default: "nothing"). Supported items: powerups, quad, pent, ring, armor, ra, ya, ga, weapons, lg, rl, gl, sng, ng, ssg, ammo, cells, rockets, nails, shells, players, eyes, teammate, enemy, mh, health, pack, flag, all, default, none, suit Item names can be customized with tp_name_item

Syntax:
tp_point `item1 item2 ... DO NOT USE QUOTES`

## tp_took

Specifies which items will be included in the took (%X or $took) macro. If you took an item and it's not listed in tp_took list, %X and $took macro will display tp_name_nothing (default: "nothing"). Supported items: quad, pent, ring, suit, ra, ya, ga, mh, health, lg, rl, gl, sng, ng, ssg, pack, cells, rockets, nails, shells, flag, armor, weapons, powerups, ammo, all, default, none. Item names can be customized with tp_name_item.

Syntax:
tp_took `item1 item2 ... DO NOT USE QUOTES`

tp_took +gl (add grenade launcher to pickup list)

## track-

This means when you are spectating or watching an mvd, keys will automatically be assigned to track certain players (so in a 4v4 8 keys are needed, the first 4 make you track the 4 players in the first team and the last 4 make you track the second team).

## trackkiller

Will switch view to the player who killed the player we are tracking at the moment

## trackteam

When using MultiView, allows you to assign all available points of view to a desired team.

Syntax:
trackteam `<teamnum>`

teamnum
  Team number. In standard 4on4 use 1 or 2.

## unalias

Example: unalias myreport removes myreport alias.

## unaliasall

Removes all aliases.

## unalias_re

Deletes given alias(es). Example: unalias ^_zoom. - removes all aliases beginning with '_zoom', e.g. _zoom_in, _zoom_out

Syntax:
unalias_re `<cvar1> [cvar2] ...`

This command supports (perl) regexp matching.

## unbind

Example: unbind x delete strings on x button.

## unbindall

Removes all keyboard bindings.

## unignore

unginore name or userid number to remove ignore.

Syntax:
unignore `(name/userid)`

## unignoreAll

Removes all users from the ignore list.

See ignore command description.

## unignoreAll_team

Removes all ignored teams.

## unignore_id

unignore usedid removed player from ignore.

Syntax:
unignore_id `(userid)`

## unignore_team

If you have ignored team nine and wan't to remove team nine from ignore so type unignore_team nine to remove ignore.

## unset

removes user-created variable

Syntax:
unset `<cvar1> [cvar2] ...`

## unset_re

removes user-created variable

Syntax:
unset_re `<cvar1|regex1> [cvar2|regex2] ...`

This command supports (perl) regexp matching.

## user

This command queries the user for his setinfo information.

Syntax:
user `(userid)`

## userdir

A userdir command can be used for addition of directories to the list searched for files by the client (configs, sounds, models, etc.). Real handy when several players with their own configs files play Quake on a single computer. When issuing this command after reconnection to a server or parameter is not defined, a current userdir is printed in the console.

Syntax:
userdir `[dir [type]]`

dir
  String used as the <dir> part in the final path (see 'type' argument below).
type
  Optional number. Default is 0. 0 - <quake_dir>/<gamedir>/<dir>, 1 - <quake_dir>/<dir>/<gamedir>. 2 - <quake_dir>/qw/<dir>/<gamedir>, 3 - <quake_dir>/qw/<dir>, 4 - <quake_dir>/<dir>, 5 - $HOME/qw/<dir>

$HOME is the contents of HOME enviroment variable. It is possible to set userdir at client startup. Then configs will be executed taking this directory into account. One can use -userdir and -game separately or both at once. Example: qwcl262 -userdir ivan 2 -game fortress

## userinfo

Prints your user settings.

Things like rate, name, team or client version version are stored here and are being sent to server repeatedly.

## users

Reports information on connected players and retrieve user ids.

## validate_clients

This shows authed ezQuake users, nonauthed and non ezQuake users.

## version

Prints client version number and date into the console.

## vid_forcemode

This command will force ezQuake to use a certain video mode.

## vid_fullscreen

This command will switch to a fullscreen video mode specified in the "vid_fullscreen_mode" variable.

## vid_gfxinfo

This command will print out useful information about your video card, GL version, and refresh rate, video mode (width/height resolution and color depth) to console. Useful to make sure everything is right, and also to screenshot to show other people.

## vid_minimize

This command will minimize the windowed game screen. It was made available because the game takes control over the mouse when it is moved onto the game window thus prohibiting the normal minimization of the game window.

## vid_modelist

Prints all supported video modes.

## vid_restart

Will restart your video renderer. Needed for some changes to take affect.

## vid_testmode

This command will switch to the specified video mode for 5-seconds in order to test it.

## vid_windowed

This command will switch the a windowed video mode specified in the "vid_windowed_mode" variable.

## viewalias

Example: viewalias mystatus print mystatus alias.

## v_cshift

This adjusts all of the colors currently being displayed. Used when you are underwater, hit, have the Ring of Shadows, or Quad Damage. Example: v_cshift 16 32 64 Note: v_cshift (red) (green) (blue) (intensity)

## wait

Adds one wait frame.

## weapon

Weapon selection command. Will select the best available weapon according to the sequence you choose.

Syntax:
weapon `<w1> [<w2> [...]]`

Example: weapon 7 8 3 2 1 will select rocket launcher if you have it and also some rockets else it will select lightning gun and so no. Warning: this syntax differs from MQWCL weapon command syntax.

## windows

Switches away from client and back to the Windows OS.

## writeconfig

Writes all your binds and cvars to a custom config file. Example: writeconfig test

Syntax:
writeconfig `(filename)`

## writeip

Records all IP addresses on the server IP list. The file name is listip.cfg.

Last update: 25.04.2008 04:22 PDT, made by JohnNy_cz | ezQDocs